Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 590760 - compiling a xen config produces lots of pud_present warnings
Summary: compiling a xen config produces lots of pud_present warnings
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Don Zickus
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-10 15:58 UTC by Don Zickus
Modified: 2011-01-13 21:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-13 21:31:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0017 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.6 kernel security and bug fix update 2011-01-13 10:37:42 UTC

Description Don Zickus 2010-05-10 15:58:26 UTC
Description of problem:

Using a kernel xen config to compile produces a huge amount of compiler
warnings, such that it makes it hard to see if any changes my patch created
causes any new warnings.

The warning is

include/asm/mach-xen/asm/pgtable.h: In function ‘pud_present’:
include/asm/mach-xen/asm/pgtable.h:102: warning: ‘pud_val’ is static but
used in inline function ‘pud_present’ which is not static

A simple fix corrects the problem and life is happy again.

Comment 1 RHEL Product and Program Management 2010-08-06 05:09:16 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 6 Jarod Wilson 2010-08-13 02:24:02 UTC
in kernel-2.6.18-212.el5
You can download this test kernel from http://people.redhat.com/jwilson/el5

Detailed testing feedback is always welcomed.

Comment 8 Petr Beňas 2010-12-14 14:30:30 UTC
Verified in 2.6.18-212.el5. 
Compiling kernel with xen config, no warning looking like the one from bug description is printed. Although compiling -211.el5 kernel does not reproduce.
Also verified the patch went to 212.el5.

Comment 10 errata-xmlrpc 2011-01-13 21:31:04 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0017.html


Note You need to log in before you can comment on or make changes to this bug.